Is Regression: No
Subject: Use getPagesTSconfig($tscPID) only once per ID
Description

PageLayoutView::isRTEforField is called on every record that is displayed in a Web>Page. And this will call
BackendUtility::getPagesTSconfig($tscPID) every time once and again, and thus parsing the PageTS over and over on the same hit.
If you have 50 content elements on a page, this can get very expensive.

Solution: Create a variable that stores the RTEsetup for a particular ID

Related issues:
related to Core - Bug # 53370: Cache getPagesTSconfig per ID and rootline Resolved 2013-11-06
related to Core - Task # 53462: Add cache to getPagesTSconfig() Resolved 2013-11-08

Associated revisions
Revision c9cd9c40 - 2013-11-08 16:50 - Jo Hasenau

[BUGFIX] Use getPagesTSconfig($tscPID) only once per ID

PageLayoutView::isRTEforField is called on every record that is
displayed in a Web>Page. And this will call
BackendUtility::getPagesTSconfig($tscPID)
every time once and again,
and thus parsing the PageTS over and over on the same hit.
If you have 50 content elements on a page,
this can get very expensive.

Solution: Create a variable that stores the RTEsetup for
 a particular ID
History
#1 - 2013-11-06 12:17 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25181

#2 - 2013-11-06 12:49 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25181

#3 - 2013-11-08 17:30 - Jo Hasenau
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c9cd9c40ef9e24cf179c172489508987f050ea02.
